Name:		jabbim
Version:	0.3
Release:	1%{?dist}
Summary:	Jabber client for mere mortals

Group:		Applications/Internet
License:	GPLv2+
URL:		http://dev.jabbim.cz/jabbim
# Downloaded from HanzZ's jdisk: http://disk.jabbim.cz/pyjim@jabber.cz/jabbim-0.3.tgz
Source0:	jabbim-0.3.tgz
Source1:	jabbim.in
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python >= 2.5
BuildRequires:	desktop-file-utils

Requires:	python >= 2.5
Requires:	PyQt4
Requires:	python-twisted-names
Requires:	python-twisted-web
Requires:	python-twisted-words
Requires:	python-sqlite2
Requires:	pyOpenSSL

%define jabbimdata %{_datadir}/jabbim

%description
Jabbim is a user-friendly Jabber (XMPP) client. Its goal is to make the modern
and useful Jabber services approachable to common users. It integrates well
with the advanced functionality provided by the Jabber server of the same name
(see http://www.jabbim.com). Jabbim is written in Python and Qt4.


%prep
%setup -q
# fill in the template for the starting script
sed -e 's|@JABBIMDATA@|%{jabbimdata}|g' %{SOURCE1} > jabbim

%build

%install
rm -rf %{buildroot}

desktop-file-install --vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	jabbim.desktop

mkdir -p %{buildroot}/%{_bindir}
install -p -m 755 jabbim %{buildroot}/%{_bindir}/jabbim
rm jabbim

# remove the files which are not useful for end-users
# and files which upstream forgot to remove
rm jabbim.sh
rm images/32x32/status/rsvg2png.sh

mkdir -p %{buildroot}/%{jabbimdata}
# take everything else upstream ships
cp -a . %{buildroot}/%{jabbimdata}

# these will be installed from their original location
rm %{buildroot}/%{jabbimdata}/{AUTHORS,COPYING}

for i in 16 22 32 48 ; do
	d=%{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
	install -dm 755 $d
	install -p images/${i}x${i}/apps/jabbim.png $d/jabbim.png
done

install -dm 755 %{buildroot}/%{_datadir}/pixmaps
pushd %{buildroot}/%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/jabbim.png .
popd

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/jabbim
%{_datadir}/applications/fedora-jabbim.desktop
%{_datadir}/icons/hicolor/*/apps/jabbim.png
%{_datadir}/pixmaps/jabbim.png
%{jabbimdata}/


%changelog
* Thu Jan 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-1
- Upstream release 0.3 "PERUN".
